Bug Hunting Session
Bug 119813 - FILEOPEN CSV import dialog doesn't get focus if libreoffice is already running [Ubuntu 18.04, 16.04]
Summary: FILEOPEN CSV import dialog doesn't get focus if libreoffice is already runnin...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.0.3.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: CSV-Dialog
  Show dependency treegraph
 
Reported: 2018-09-11 18:17 UTC by Jesse McNichol
Modified: 2019-07-04 07:03 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse McNichol 2018-09-11 18:17:44 UTC
Description:
When opening .csv or .tsv files while another Libreoffice Calc spreadsheet is open, Libreoffice puts the dialog box out of focus. The user has to alt-tab into just to find the dialog box in order to open said file. This greatly reduces the functionality of Libreoffice calc for users who frequently work with plain text files.

I can confirm that issue was present in Ubuntu 16.04 and remains in 18.04.

Steps to Reproduce:
1. Open a libreoffice window or spreadsheet
2. Open a csv or tsv file from the file explorer
3. Note that you now have to alt-tab into a libreoffice window just to find the dialog box.

Actual Results:
One can access the dialog box, but it requires a lot of extra thinking and work.

Expected Results:
It should have brought the dialog to the front to allow for user input


Reproducible: Always


User Profile Reset: No



Additional Info:
Identical to https://bugs.documentfoundation.org/show_bug.cgi?id=32935 except for Ubuntu not Windows
Comment 1 Mike Kaganski 2018-09-11 19:33:56 UTC Comment hidden (obsolete)
Comment 2 Mike Kaganski 2018-09-11 19:36:43 UTC
Please disregard comment 1. I reproduce with Version: 6.0.3.2
Build ID: 1:6.0.3-0ubuntu1
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); Calc: group

*when a spreadsheet is open* prior to double-clicking a CSV (just as OP mentioned in description).
Comment 3 Xisco Faulí 2018-09-12 09:01:52 UTC
I can't reproduce it in

Versió: 6.0.6.2
ID de la construcció: 1:6.0.6-0ubuntu0.16.04.1
Fils de CPU: 4; SO: Linux 4.15; Renderitzador de la IU: per defecte; VCL: gtk3; 
Configuració local: ca-ES (ca_ES.UTF-8); Calc: group

I have a spreadsheet already open and the dialog is prompted on top...
Comment 4 Xisco Faulí 2018-09-12 09:06:19 UTC
OTOH, I can reproduce it if I have the extension manager open and I open a CSV file in LibreOffice.... Similar to bug 119645
Comment 5 valentas 2019-01-17 07:10:33 UTC
Can reconfirm (why was the previous bug closed?) on Version: 6.0.7.3 Build ID: 1:6.0.7-0ubuntu0.18.04.2 gtk3. 

In 18.04 I have a new non-deterministic bug: sometimes a dock icon on the left side panel is not created at all, if the first file you open is csv and the icon is not locked to the dock (not in "Favorites"): an icon is initially created for the import dialog but then disappears when you press OK, and does not reappear on opening any other files - this leaves just "alt+tab" for navigation an memomorizing what you have opened (or requires to keep Calc in "Favorites").
Comment 6 Miranda 2019-07-03 15:19:20 UTC
Good question.

I have tried to report this issue on antoher thread to also have it closed. 

This is why I don't report bugs. It is a waste of my time

Previous report on Bug 32935 : 
We are past the 8 year mark on this bug.

I hit it multiple times a day on Ubuntu 18.04.02 LTS using LibreOffice 6.0.7.3

Open LibreOffice open with cvs file (first file opens fine)
Select another csv file to open.
Import screen doesn't get focus.
Import screen is buried somewhere on desktop. (Must minimize all active windows to find.)

It happily lets you to try to open the same file again (giving you another buried import screen).


Note: Way back in 2010 there was a company willing to sponsor the fixing of this bug. So super annoying to see the bug report closed while people continue to report the issue.

here I see someone has also linked that bug report and it is still marked as fixed. Not fised as on 2019-07-02 on Ubuntu 18.10 and LibreOffice 6.1.6.3.
Comment 7 Aron Budea 2019-07-04 07:03:27 UTC
(In reply to Miranda from comment #6)
> here I see someone has also linked that bug report and it is still marked as
> fixed. Not fised as on 2019-07-02 on Ubuntu 18.10 and LibreOffice 6.1.6.3.
The other bug report was specifically opened on an issue encountered in Windows, which has been fixed since. Just because the symptoms are similar, it doesn't mean the cause is the same, and mixing different issues is really unhelpful for those willing to tackle one. Please consider their time as well.

On the other hand this bug report is certainly open.

> I hit it multiple times a day on Ubuntu 18.04.02 LTS using LibreOffice
> 6.0.7.3
Version 6.0.7.3 is EOL, and will not receive updates (except perhaps security updates ported by Canonical). The current version is 6.2.4, with 6.3.0 beta 2 also available for testing.